## ros-foxy-image-geometry 3.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(image_geometry)

find_package(ament_cmake_python REQUIRED)
find_package(ament_cmake_ros REQUIRED)

ament_python_install_package(${PROJECT_NAME})

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(OpenCV REQUIRED COMPONENTS calib3d core highgui imgproc)
find_package(sensor_msgs REQUIRED)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include
  ${OpenCV_INCLUDE_DIRS}
)

# add a library
add_library(${PROJECT_NAME}
  src/pinhole_camera_model.cpp src/stereo_camera_model.cpp
)
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES})
ament_target_dependencies(
  ${PROJECT_NAME}
  OpenCV
  sensor_msgs
)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION include/${PROJECT_NAME}
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "IMAGE_GEOMETRY_BUILDING_DLL")

install(TARGETS ${PROJECT_NAME}
        RUNTIME DESTINATION bin
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
)

# image_geometry_lib_dir is passed as APPEND_LIBRARY_DIRS for each ament_add_gtest call so
# the project library that they link against is on the library path.
# This is especially important on Windows.
# This is overwritten each loop, but which one it points to doesn't really matter.
set(image_geometry_lib_dir "$<TARGET_FILE_DIR:${PROJECT_NAME}>")

# add tests
if(BUILD_TESTING)
  add_subdirectory(test)
endif()

ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(OpenCV)
ament_export_include_directories(include)
ament_package()

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)
# TODO(mikaelarguedas) Reenable this when tests are ported to ROS 2
# find_package(ament_cmake_pytest REQUIRED)

# ament_add_pytest_test(directed.py "directed.py")

ament_add_gtest(${PROJECT_NAME}-utest utest.cpp APPEND_LIBRARY_DIRS "${image_geometry_lib_dir}")
target_link_libraries(${PROJECT_NAME}-utest ${PROJECT_NAME} ${OpenCV_LIBS})

ament_add_gtest(${PROJECT_NAME}-utest-equi utest_equi.cpp APPEND_LIBRARY_DIRS "${image_geometry_lib_dir}")
target_link_libraries(${PROJECT_NAME}-utest-equi ${PROJECT_NAME} ${OpenCV_LIBS})

=== debian/changelog ===
ros-foxy-image-geometry (3.0.7-1focal) focal; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 14 Oct 2022 15:00:00 -0000

ros-foxy-image-geometry (3.0.6-1focal) focal; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 20 Sep 2022 15:00:00 -0000

ros-foxy-image-geometry (3.0.5-1focal) focal; urgency=high

  * Revert API breakages
  * Contributors: Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 16 Sep 2022 15:00:00 -0000

ros-foxy-image-geometry (3.0.4-1focal) focal; urgency=high

  * Add apache license and bsd license, because both are used. (#481 <https://github.com/ros-perception/vision_opencv/issues/481>)
  * Reorganize author tag (#467 <https://github.com/ros-perception/vision_opencv/issues/467>)
  * Add description of MISSING_Z (#464 <https://github.com/ros-perception/vision_opencv/issues/464>)
  * Update maintainers (#451 <https://github.com/ros-perception/vision_opencv/issues/451>)
  * Contributors: Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 13 Sep 2022 15:00:00 -0000

ros-foxy-image-geometry (3.0.3-1focal) focal; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 31 Mar 2022 15:00:00 -0000

ros-foxy-image-geometry (3.0.2-1focal) focal; urgency=high

  * Minor cleanups to the ROS 2 branch (#418 <https://github.com/ros-perception/vision_opencv/issues/418>)
  * Forward ports from Noetic (#420 <https://github.com/ros-perception/vision_opencv/issues/420>)
    * substituted missing sphinx extension (#417 <https://github.com/ros-perception/vision_opencv/issues/417>)
    * Fix rectifyRoi when used with binning and/or ROI (#378 <https://github.com/ros-perception/vision_opencv/issues/378>)
    * Implement unrectifyImage() (#359 <https://github.com/ros-perception/vision_opencv/issues/359>)
    * Add equidistant distortion model (#358 <https://github.com/ros-perception/vision_opencv/issues/358>)
  * Contributors: Chris Lalancette, Martin Günther, Michael Carroll, Paddy

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 26 Jan 2022 15:00:00 -0000

ros-foxy-image-geometry (3.0.1-1focal) focal; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 24 Jan 2022 15:00:00 -0000

ros-foxy-image-geometry (3.0.0-1focal) focal; urgency=high

  * Export Modern CMake targets and install includes to another folder(#419 <https://github.com/ros-perception/vision_opencv/issues/419>)
  * fix windows build for image_geometry (#388 <https://github.com/ros-perception/vision_opencv/issues/388>)
  * Contributors: Evan Flynn, Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 18 Jan 2022 15:00:00 -0000

ros-foxy-image-geometry (2.2.1-1focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 15 Jul 2020 15:00:00 -0000

ros-foxy-image-geometry (2.2.0-1focal) focal; urgency=high

  * Updated fromCameraInfo function to match ROS2 CameraInfo message (#295 <https://github.com/ros-perception/vision_opencv/issues/295>)
  * Contributors: Luca Della Vedova

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 26 May 2020 15:00:00 -0000

ros-foxy-image-geometry (2.1.3-1focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 22 Oct 2019 15:00:00 -0000

ros-foxy-image-geometry (2.1.2-1focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 29 May 2019 15:00:00 -0000

ros-foxy-image-geometry (2.1.1-1focal) focal; urgency=high

  * [image_geometry] Enable python package installation (#257 <https://github.com/ros-perception/vision_opencv/issues/257>)
    * [image_geometry] Install python package.
  * Contributors: Michael Carroll

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 25 Apr 2019 15:00:00 -0000

ros-foxy-image-geometry (2.1.0-1focal) focal; urgency=high

  * python 3 compatibility in test (#244 <https://github.com/ros-perception/vision_opencv/issues/244>)
  * Ros2 revert handmade message initialization (#245 <https://github.com/ros-perception/vision_opencv/issues/245>)
    * revert initialization in PinholeCameraModel constructor (https://github.com/ros2/vision_opencv/pull/1/commits/d2e5edb207c58a54737c4949efe0ac9d4e638962)
    * revert message initialization in tests (https://github.com/ros2/vision_opencv/commit/ecbcd64c014a1ac21a831b55b43df8bc47e5c7ac)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 25 Nov 2018 15:00:00 -0000

ros-foxy-image-geometry (2.0.5-1focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 16 Aug 2018 15:00:00 -0000

ros-foxy-image-geometry (2.0.4-1focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 13 Aug 2018 15:00:00 -0000

ros-foxy-image-geometry (2.0.3-1focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 06 Aug 2018 15:00:00 -0000

ros-foxy-image-geometry (2.0.2-1focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 28 Jun 2018 15:00:00 -0000

ros-foxy-image-geometry (2.0.1-1focal) focal; urgency=high

  * Mikael Arguedas claiming image_geometry maintainership (#230 <https://github.com/ros-perception/vision_opencv/issues/230>)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 27 Jun 2018 15:00:00 -0000

ros-foxy-image-geometry (2.0.0-1focal) focal; urgency=high

  * Port image_geometry to ROS2. (#1)
  * remove dependency on boost given that we dont use it anymore (#4)
  * avoid passing std::vector to/from cv::projectPoints
  * Make sure to export include directories from image_geometry. (#5)
  * Build the image_geometry library shared. (#7)
  * use CMAKE_X_STANDARD and check compiler rather than platform
  * Use upstream opencv2. (#8)
  * Revert "avoid passing std::vector to/from cv::projectPoints" (#9)
  * use ament_cmake_pytest instead of ament_cmake_nose (#10)
  * Comment out unported test (#11)
  * reenable ported packages
  * [rebase fixup] remove boost support again


=== debian/control ===
Source: ros-foxy-image-geometry
Section: misc
Priority: optional
Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-cmake-pytest <!nocheck>, ros-foxy-ament-cmake-python, ros-foxy-ament-cmake-ros, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/image_geometry
Standards-Version: 3.9.2

Package: ros-foxy-image-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Description: `image_geometry` contains C++ and Python libraries for interpreting images geometrically.
 It interfaces the calibration parameters in sensor_msgs/CameraInfo messages with OpenCV functions such as image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with OpenCV data types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-image-geometry//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
